Package org.zkoss.zel

## Class ImportHandler

- java.lang.Object
- - org.zkoss.zel.ImportHandler

-     public class ImportHandler
      extends java.lang.Object

  Since:
    EL 3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `ImportHandler.PageClassResolver` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImportHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `importClass​(java.lang.String name)` |
    `void` | `importPackage​(java.lang.String name)` |
    `void` | `importStatic​(java.lang.String name)` |
    `java.lang.Class<?>` | `resolveClass​(java.lang.String name)` |
    `java.lang.Class<?>` | `resolveStatic​(java.lang.String name)` |
    `void` | `setPageClassResolver​(ImportHandler.PageClassResolver pageClassResolver)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportHandler

          public ImportHandler()

  - ### Method Detail

    - #### setPageClassResolver

          public void setPageClassResolver​(ImportHandler.PageClassResolver pageClassResolver)

    - #### importStatic

          public void importStatic​(java.lang.String name)
                            throws ELException

      Throws:
        `ELException`

    - #### importClass

          public void importClass​(java.lang.String name)
                           throws ELException

      Throws:
        `ELException`

    - #### importPackage

          public void importPackage​(java.lang.String name)

    - #### resolveClass

          public java.lang.Class<?> resolveClass​(java.lang.String name)

    - #### resolveStatic

          public java.lang.Class<?> resolveStatic​(java.lang.String name)